jQuery(function(jQuery) {
	
	
	jQuery('.repeatable-add').click(function() {
		field = jQuery(this).closest('td').find('.countryrobot_metabox_repeatable li:last').clone(true);
		fieldLocation = jQuery(this).closest('td').find('.countryrobot_metabox_repeatable li:last');
		jQuery('input', field).val('').attr('name', function(index, name) {
			return name.replace(/(\d+)/, function(fullMatch, n) {
				return Number(n) + 1;
			});
		});
		jQuery('textarea', field).val('').attr('name', function(index, name) {
			return name.replace(/(\d+)/, function(fullMatch, n) {
				return Number(n) + 1;
			});
		});
		jQuery('select', field).val('').attr('name', function(index, name) {
			return name.replace(/(\d+)/, function(fullMatch, n) {
				return Number(n) + 1;
			});
		});
		field.insertAfter(fieldLocation, jQuery(this).closest('td'));
		return false;
	});
	
	jQuery('.repeatable-remove').click(function(){
		if (jQuery(this).parent().siblings().length > 0) {
		  jQuery(this).parent().remove();
		} else {
		  field = jQuery(this).closest('td').find('.countryrobot_metabox_repeatable li:last');
		  jQuery('input',field).val('');
		  jQuery('textarea',field).val('');
		  jQuery('select',field).val('');
		}
		return false;
	});
		
	jQuery('.countryrobot_metabox_repeatable').sortable({
		opacity: 0.6,
		revert: true,
		cursor: 'move',
		handle: '.sort',
		containment: 'parent',
		update: function(event,ui){ renumber(ui.item); }
	});

});

function renumber(item) {
  ul = item[0].parentNode;
  jQuery('li',ul).each(function(index,element) { 
    renumber_helper(index,element); 
  });
}

function renumber_helper(index,element) {
  inputs = jQuery('input', element);
  for (j = 0; j < inputs.length; j++) {
    input = inputs[j];
    name = input.name;
    input.name = name.replace(/(\d+)/,index);
  }
  textareas = jQuery('textarea',element);
  for (j = 0; j < textareas.length; j++) {
     textarea = textareas[j];
     name = textarea.name;
     textarea.name = name.replace(/(\d+)/,index);
  }
  selects = jQuery('select',element);
  for (j = 0; j < selects.length; j++) {
    select = selects[j];
    name = select.name;
    select.name = name.replace(/(\d+)/,index);
  }
}
